/*!
 * #%L
 * chvote-bo
 * %%
 * Copyright (C) 2016 - 2019 République et Canton de Genève
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 * #L%
 */

.main {
  position: relative;
  left: 0;
  transition: all 0.3s;
}

.main.faded {
  position: absolute;
  left: -500px;
  opacity: 0;
}

.details__content {
  flex-grow: 1;

}

.details {
  position: relative;
  left: 0;
  transition: all 0.3s;
  opacity: 1;
  align-items: stretch;
  display: flex;
}

.details.faded {
  position: absolute;
  left: 500px;
  opacity: 0;
}

.details__back {
  flex-basis: 3em;
  text-align: center;
  padding-top: 1em;
  transition: all 0.5s;
}

.details__back:hover {
  cursor: pointer;
  background-color: #e0e0e0;
}

.details__content {
  flex-grow: 1;
}
